﻿@using SportsClub.Areas.Dashboard.Models
@model AdvanceBackgroundCheckViewModel
@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" ui-sref='AccountSettings'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                Background Check Certification 
            </h1>
        </div>

        <div class="clearfix"></div>
        <hr />
    </div>
 
    <fieldset>
        <legend>Certification Letter</legend>
        <span class="message">
            <span>Please upload your Background Check Certification Letter as required per your Provider Agreement.</span>
            <br />
            <br />
            <span>Notes for a successful & correct upload of the file:</span>
            <ul class="ul-square" style="margin-top:5px;">
                
                <li><span>Do NOT upload the actual background check, we are not retaining these due to privacy concerns. Please upload the completed letter template included in the instructions.</span></li>
                <li><span>The email you provide for your instructors in the certification letter CANNOT be an email which is already being used to login to our system and you CANNOT use the same email for multiple instructors.</span></li>
                <li><span>Always press the green “SAVE” button. If you do not press the green “SAVE” button after uploading and navigate away from the page, your files will not complete their upload to our system.</span></li>
            </ul>
           
        </span>

       
            <div class="clearfix"></div>

                <label >Background check certification files</label>

                <div ng-repeat="fileinput in Model.BackgroundCertificatesNames" ng-init="fileIndex = $index">

                    
                        <span style="font-weight:bold">{{fileinput}}</span> <span style="margin-left:20px">({{Model.BackgroundCertificatesDates[fileIndex]}})</span>
                        <a class="small button info place-right" href="{{Model.BackgroundCertificatesURLs[fileIndex]}}" download="">Download</a>
                  
                       <button class="small button info place-right" ng-if="Model.IsAdmin == true"  ng-click="removeFile(fileIndex)">Remove</button> 
                    
                        <button class="small button info place-right disabled" ng-if="Model.IsAdmin == false">Remove</button>
                    
                        <br /> 
                        <div class="clearfix"></div>
                    
                </div>

                <div class="clearfix"></div>
                <div ng-if="!JbForm.ConfirmMode" class="JbForm">
                    <input name="files"
                           type="file"
                           k-multiple="false"
                           kendo-upload
                           k-options="KendoUploadOptions"
                           k-async="{ saveUrl: '/KendoEditorFiles/UploadImageOrPdfOrDoc?location=/InstructorBackgroundCheck/'}" />
                </div>
            <div class="clearfix"></div>
         
    </fieldset>


    <div class="clearfix"></div>
   <hr/>
    <button ngaction="Settings_Account_Save" class="success large place-right" ng-click="save()">Save</button>

    <a class="place-left button link large" ui-sref='AdvanceSetting'>Cancel</a>

    <div class="clearfix"></div>
</div>
